package webclient;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.CookieHandler;
import java.net.CookieManager;
import java.net.CookiePolicy;
import java.net.CookieStore;
import java.net.URL;
import java.net.URLConnection;

public class WebClient {
    public static void main(String[] args) {
        try {
            // Create CookieStore and CookiePolicy
            CookieStore store = new MyCookieStore();
            CookiePolicy policy = new MyCookiePolicy();
            CookieManager handler = new CookieManager(store, policy);
            CookieHandler.setDefault(handler);

            // open connection to the cookieTest.jsp page
            URL url = new URL("http://localhost:8080/cookieTest.jsp");
            System.out.println("Open URL Connection:");
            URLConnection conn = url.openConnection();

            // read the HTTP response
            InputStream in = conn.getInputStream();
            BufferedReader reader = new BufferedReader(
                    new InputStreamReader(in));
            String input;
            while ((input = reader.readLine()) != null) {
                System.out.println(input);
            }
            // Close connection
            reader.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}